VSTGUI: FinishedMessage Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
FinishedMessage Class Reference
New classes » Version 4.0

Animation Finished Message Object. More...

`#include <animator.h>`

Inheritance diagram for FinishedMessage:

## Public Member Functions
| FinishedMessage (CView *view, const std::string &name, IAnimationTarget *target)
CView * | getView () const
IdStringPtr | getName () const
IAnimationTarget * | getTarget () const
CBaseObject * | newCopy () const override
Public Member Functions inherited from CBaseObject
| CBaseObject ()=default
| ~CBaseObject () noexcept override=default
| CBaseObject (const CBaseObject &)
CBaseObject & | operator= (const CBaseObject &)
virtual CMessageResult | notify (CBaseObject *sender, IdStringPtr message)
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Protected Attributes
CView * | view
const std::string & | name
IAnimationTarget * | target

## Detailed Description

Animation Finished Message Object.

The FinishedMessage will be sent to the notificationObject when the animation has finished

## Constructor & Destructor Documentation

## ◆ FinishedMessage()

FinishedMessage | ( | CView * | view,
|  | const std::string & | name,
|  | IAnimationTarget * | target )
| inline

## Member Function Documentation

## ◆ getName()

IdStringPtr getName | ( |  | ) | const
| inline

## ◆ getTarget()

IAnimationTarget * getTarget | ( |  | ) | const
| inline

## ◆ getView()

CView * getView | ( |  | ) | const
| inline

## ◆ newCopy()

CBaseObject * newCopy | ( |  | ) | const
| inlineoverride

## Member Data Documentation

## ◆ name

const std::string& name
| protected

## ◆ target

IAnimationTarget* target
| protected

## ◆ view

CView* view
| protected

The documentation for this class was generated from the following file:

- animator.h